# log4cpp::details::required_params_validator Class Reference

`#include <FactoryParams.hh>`

Inheritance diagram for log4cpp::details::required_params_validator:

[legend]
Collaboration diagram for log4cpp::details::required_params_validator:

[legend]
List of all members.

## Public Member Functions

| required_params_validator (const char *tag, const FactoryParams *params)
template<typename T>
optional_params_validator | optional (const char *param, T &value) const
template<typename T>
const required_params_validator & | operator() (const char *param, T &value) const

## Constructor & Destructor Documentation

log4cpp::details::required_params_validator::required_params_validator | ( | const char * | tag,
|  | const FactoryParams * | params |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename T>

optional_params_validator log4cpp::details::required_params_validator::optional | ( | const char * | param,
|  | T & | value |
| ) |  |  | const`[inline]`

template<typename T>

const required_params_validator & log4cpp::details::required_params_validator::operator() | ( | const char * | param,
|  | T & | value |
| ) |  |  | const`[inline]`

The documentation for this class was generated from the following file:

- FactoryParams.hh